#include <qthing.h>

#include "driver/gpio.h"

#include "CyanLightControl.hpp"



CyanLight::Controller ctrl(0, 3);


void device_main() {

  // ground the pin beneath our channel 0 IO
  uint8_t GND = 23;

  gpio_config_t conf;

  conf.intr_type = GPIO_INTR_DISABLE;
  conf.mode = GPIO_MODE_OUTPUT;
  conf.pin_bit_mask = 1ULL << GND;
  conf.pull_up_en = GPIO_PULLUP_DISABLE;
  conf.pull_down_en = GPIO_PULLDOWN_DISABLE;

  gpio_config(&conf);
  gpio_set_level((gpio_num_t)GND, 0);






  enable_wlan();
}
